Package Details: darktable-cr3-git 3.7.0.r1599.gc9d36274d3-5

Git Clone URL: https://aur.archlinux.org/darktable-cr3-git.git (read-only, click to copy)
Package Base: darktable-cr3-git
Description: A virtual lighttable and darkroom for photographers with CR3 support
Upstream URL: http://www.darktable.org/
Licenses: GPL3
Conflicts: darktable
Provides: darktable
Submitter: tharazgul
Maintainer: tharazgul
Last Packager: tharazgul
Votes: 3
Popularity: 0.009448
First Submitted: 2021-08-17 14:05 (UTC)
Last Updated: 2021-12-02 11:38 (UTC)

Latest Comments

mmaguire commented on 2022-07-03 01:28 (UTC) (edited on 2022-07-03 01:29 (UTC) by mmaguire)

Given that CR3 is now a standard part of darktable, does it make sense to keep this package in AUR? As it is now, it is essentially a duplicate of darktable-git

ak2021 commented on 2022-02-11 12:10 (UTC) (edited on 2022-02-11 12:11 (UTC) by ak2021)

Fails to build


make[2]: *** [lib/darktable/plugins/CMakeFiles/lens.dir/build.make:82: lib/darktable/plugins/CMakeFiles/lens.dir/introspection_lens.cc.o] Error 1
make[2]: Leaving directory '/var/tmp/pamac-build-username/darktable-cr3-git/src/darktable/build'
make[1]: *** [CMakeFiles/Makefile2:6306: lib/darktable/plugins/CMakeFiles/lens.dir/all] Error 2
make[1]: Leaving directory '/var/tmp/pamac-build-username/darktable-cr3-git/src/darktable/build'
make: *** [Makefile:156: all] Error 2
make: Leaving directory '/var/tmp/pamac-build-username/darktable-cr3-git/src/darktable/build'
==> ERROR: A failure occurred in build().
    Aborting...

duduk commented on 2022-01-22 10:43 (UTC) (edited on 2022-01-22 12:01 (UTC) by duduk)

Please add Canon RP cameras. Thanks guys.

chrissi_rx commented on 2021-12-06 20:05 (UTC)

pango 1:1.50.0-2 works here as well. Thanks tharazgul for fast support !

chrissi_rx commented on 2021-12-06 19:53 (UTC)

Tested with pango 1:1.48.9-1 and can confirm it works here as well. Will try now the new 1.50.2.

tharazgul commented on 2021-12-06 19:28 (UTC)

New pango package available 1.50.0-2. Should fix the darktable errors. (works for me)

tharazgul commented on 2021-12-06 09:10 (UTC)

With the latest build my darktable crashes with the same error message. Downgrade pango to version 1.48.9-2 helps for me.

tharazgul commented on 2021-12-06 07:43 (UTC) (edited on 2021-12-06 07:45 (UTC) by tharazgul)

Sometimes I also have problems with one build. Mostly the cause was the OpenCL implementation or the driver itself. (AMD RX580/Intel)

chrissi_rx commented on 2021-12-04 22:39 (UTC) (edited on 2021-12-04 22:41 (UTC) by chrissi_rx)

Thanks. I shoould have mentioned, that compilation works. The crash happens after some minutes of working with DT. I checked the version of pango, and it is 1.50 In parallel I compiled the darktable-CR3 version (v3.61) and there darktable works but after some time it throws the same error as mentioned below. It behaves the same as darktable-cr3-git version. The error occurs after between ~3 to ~7 minutes. I also installed the roboto fonts, but no change. The previous version of darktable-cr3-git 3.7.0 worked like a charm.

tharazgul commented on 2021-12-04 19:52 (UTC)

There is a update in the pango (1.50) package. Is your system up to date? Compiled it right now with no errors.

chrissi_rx commented on 2021-12-04 16:13 (UTC)

compiled it today. I get random the following error followed by a crash: Pango:ERROR:../pango/pango/pango-layout.c:3717:shape_run: assertion failed: (state->last_tab.glyphs->num_glyphs == 1) Bail out! Pango:ERROR:../pango/pango/pango-layout.c:3717:shape_run: assertion failed: (state->last_tab.glyphs->num_glyphs == 1) Any ideas

tharazgul commented on 2021-12-02 12:39 (UTC)

@yopyop great news, thank's for the link. Removed rawspeed-fork from package and now it will compile again. CR3 support also works.

yopyop commented on 2021-11-30 17:04 (UTC)

Yes, there is now an incompatibility with cytrinox's rawspeed version. However, now you can build darktable from their git without having to add rawspeed_cr3 because they manage to add the CR3 compatibility via libraw.

<url>https://www.mail-archive.com/darktable-dev@lists.darktable.org/msg06497.html</url>

I just compiled darktable after a git pull, submodule init/update and the removing of rawspeed_cr3 and it works!

tharazgul commented on 2021-11-29 16:18 (UTC) (edited on 2021-11-29 16:19 (UTC) by tharazgul)

At the moment this build will not compile, too much changes in rawspeed and cytrinox's cr3 fork is not up to date.

I changed the package "darktable-cr3" to version 3.6.1 and this build will compile now. Use https://aur.archlinux.org/packages/darktable-cr3/

egrims commented on 2021-11-21 05:00 (UTC) (edited on 2021-11-21 05:01 (UTC) by egrims)

I don't get that same error but I do get an error with the imageio_rawspeed.cc file.

/home/egrims/.cache/yay/darktable-cr3-git/src/darktable/src/common/imageio_rawspeed.cc:26:37: error: ‘UINT16’ is not a member of ‘rawspeed::RawImageType’ 26 | #define TYPE_USHORT16 RawImageType::UINT16

niveus.corax commented on 2021-11-15 08:04 (UTC) (edited on 2021-11-15 08:06 (UTC) by niveus.corax)

Am I the only one having issue compiling it. It used to compile just fine, but since a week or so, it fails with

make[2]: *** [bin/CMakeFiles/lib_darktable_imageio_rawspeed.dir/build.make:76: bin/CMakeFiles/lib_darktable_imageio_rawspeed.dir/common/imageio_rawspeed.cc.o] Error 1
make[2]: Leaving directory '/home/larry/.cache/paru/clone/darktable-cr3-git/src/darktable/build'
make[1]: *** [CMakeFiles/Makefile2:2343: bin/CMakeFiles/lib_darktable_imageio_rawspeed.dir/all] Error 2
make[1]: Leaving directory '/home/larry/.cache/paru/clone/darktable-cr3-git/src/darktable/build'
make: *** [Makefile:156: all] Error 2

tharazgul commented on 2021-09-28 20:28 (UTC) (edited on 2021-09-28 20:39 (UTC) by tharazgul)

Did a full system-update today and compiled it, works fine. libImath is part of the imath package (imath-3.1.3 is on my system), which is a dependency of openexr (openexr-3.1.1 on my system) package. Perhaps a mess in your LIBRARY_PATH, or show in /usr, /usr/local and /opt for other versions of libImath. Maybe update/reinstall openexr and imath, and try to compile it after the update.

yopyop commented on 2021-09-25 07:08 (UTC) (edited on 2021-09-25 07:08 (UTC) by yopyop)

Thank for creating this! Last week I tried installing it and compilation wouldn't work (I'm not good enough to understand what was the problem). Right now, compilation went to completion but when I launch darktable I get : darktable: error while loading shared libraries: libImath-3_0.so.28: cannot open shared object file: No such file or directory

tharazgul commented on 2021-08-17 14:07 (UTC) (edited on 2021-08-17 14:08 (UTC) by tharazgul)

This is a build of "master 3.7.0" branch with CR3 support from rawspeed fork at https://github.com/cytrinox/rawspeed.git.

Only tested with Canon R5 RAW's.